package com.zjrs.ggfw.rlzysc.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjDTO;
import com.zjrs.ggfw.rlzysc.dto.msgl.*;

import java.util.Map;

public interface MsGlBPO{
    void saveMsglInfo(MsUDTO dto);

    PageResult getMsgllist(MsQueryDTO dto);

    PageResult getMsgllistForGr(MsQueryDTO dto);

//    void updatemsjg(MsglZtUDTO dto);

    Map getMsglInfo(ZjDTO dto);

    Map getMsglInfoForYdd(ZjDTO dto);

    void updatemsgl(MsglZtUDTO dto);

    PageResult getMsglMsglist(MsglZtListDTO dto);

    Map queryQyxx(MsglZtUDTO dto);

    Map validMsjxx(MsyqglDTO dto);

    void sendLqtzs(LqtzsDTO dto);

    Map getJwtToken(MsglZtUDTO dto);
}

